using System;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace finale
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            long n = long.Parse(s[0]);
            long m = long.Parse(s[1]);
            long br = 0;
            br = 4 + 2 * (n - 2) + 2 * (m - 2) + (n - 2) * (m - 2) / 2;
            Console.WriteLine(br);
        }
    }
}